.bubbles-container{
    font-family: 'Inter', sans-serif;
    padding-top: 5px;
}
body.bubbles-container {
    padding: 0;
    margin: 0;
    font: 16px Verdana,Arial,sans-serif;
    color: #fff;
    background-color: #080915;
    -webkit-tap-highlight-color: transparent;
    overflow: hidden auto
}
.bubbles-container canvas {
    display: block;
    background-color: #080915;
    z-index: 1;
}
.bubbles-container button {
    outline: none;
    cursor: pointer;
    user-select: none;
    margin: 0;
    font: inherit;
    border: none;
    line-height: 24px;
    color: #fff
}

.bubbles-container input {
    font: 20px Verdana,Arial,sans-serif;
    border: none;
    background: none;
    outline: none;
    line-height: 24px;
    color: #fff
}

.bubbles-container h1,
.bubbles-container h2 {
    font-family: Arial,sans-serif
}

.bubbles-container h1 {
    margin: 0;
    font-size: 1.2em;
    text-transform: uppercase;
    white-space: nowrap;
    font-weight: 400
}

.bubbles-container h2 {
    margin: .5em 0;
    font-size: 1.5em
}

.bubbles-container p {
    margin: 10px 0
}

.bubbles-container strong {
    color: #07d
}

.bubbles-container svg {
    fill: currentColor;
    pointer-events: none;
    height: 24px
}

.bubbles-container ul {
    margin: 0;
    padding: 0;
    list-style: none
}
.bubbles-bubble-window .category_sites{
    display: flex;
    flex: 1;
    flex-wrap: wrap;
    gap: 5px;
}

fieldset {
    margin: 0;
    padding: 0;
    border: none
}

fieldset+fieldset {
    margin-top: 15px
}

legend {
    margin: 0;
    padding: 0;
    color: #ccc
}

.color-secondary {
    color: #ccc
}

.right {
    text-align: right
}

.center {
    text-align: center
}

.grow {
    flex-grow: 1
}

.gap-s {
    gap: 5px
}

.gap-m {
    gap: 10px
}

.no-margin-bottom {
    margin-bottom: 0
}

.padding-right {
    padding-right: 5px
}

.flex-row {
    display: flex;
    align-items: center
}

.flex-column {
    display: flex;
    flex-direction: column;
    align-items: center
}

.flex-wrap {
    flex-wrap: wrap
}

.justify-end {
    justify-content: flex-end
}

@keyframes loading {
    0% {
        transform: scaleX(0)
    }

    to {
        transform: scaleX(1)
    }
}

.data-updater {
    transition: background-color .4s;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 2px;
    animation-name: loading;
    animation-duration: 60s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    transform-origin: left;
    background-color: var(--color-theme-light, #07d)
}

.number {
    transition: color .4s
}

.bubbles-header {
    box-shadow: 0 4px 16px #0006;
    padding: 0 20px;
    /* background-color: #07113b; */
    background-color: #212121;
    position: sticky;
    top: 0;
    z-index: 15;
    height: 54px;
    padding: 5px;
}

.bubbles-header .logo {
    width: 2em;
    height: 2em;
    transform: translateY(-2px)
}

.header-padded {
    padding: 0 50px
}

.bubbles-header .input {
    width: 500px
}

table {
    margin: 0 auto;
    white-space: nowrap;
    border-collapse: collapse
}

table .currency-rank {
    vertical-align: middle
}

thead {
    background-color: #222;
    position: sticky;
    z-index: 50
}

thead tr {
    background-color: #ffffff1f
}

tbody tr {
    transition: background-color .4s
}

tbody tr:hover {
    background-color: #ffffff14
}

th {
    padding: 10px 5px;
    font-weight: 400
}

th svg {
    transition: transform .4s;
    transform: scale(0)
}

th.sortable {
    outline: none;
    cursor: pointer;
    user-select: none;
    transition-property: background-color,color;
    transition-duration: .4s
}

th.sortable:hover {
    background-color: #ffffff1f
}

th:hover svg {
    transform: none
}

th.sorted-desc,th.sorted-asc {
    background-color: #07d!important
}

th.sorted-desc svg {
    transform: none
}

th.sorted-asc svg {
    transform: rotate(-180deg)
}

td {
    padding: 5px 10px
}

.bubble-chart {
    position: relative;
    height: calc(100vh - 54px);
}

.bubble-chart canvas {
    position: absolute;
    left: 0;
    top: 0
}

.scroll-container {
    overflow-x: auto;
    overflow-y: hidden
}

.tab {
    transition-property: background-color,transform,opacity,border-color;
    transition-duration: .4s;
    border: solid transparent 2px;
    border-top: none;
    padding: 3px 5px;
    margin-right: 5px;
    white-space: nowrap;
    flex-shrink: 0;
    background-color: #ffffff1f;



    /* border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px; */
    transform-origin: top center
}

.tab:hover {
    background-color: #ffffff40
}

.tab:focus-visible {
    background-color: #ffffff40
}

.tab.selected {
    /* background-color: var(--color-theme-dark, #07d) */
    background-color: #155dfc;
}

.tab.drop {
    transform: scale(.9)
}

.tab.drag {
    opacity: .5;
    transform: scale(.9)
}

.window {
    box-shadow: 0 4px 16px #0006;
    border-radius: 12px;
    /* overflow-y: auto; */
    pointer-events: auto;
    background-color: #444444fc
}
.bubble-window{
    display: flex;
    flex-direction: column;
}
.bubble-window .icon-button{
    position: absolute;
    background-color: #777;
    top: -10px;
    right: -10px;
    padding: 5px;
}
.bubble-window button {
    color: #fff;
}
.bubble-window svg {
    fill: currentColor;
    pointer-events: none;
    height: 24px
}

.bubble-window-content{
    display: flex;
    gap: 10px;
    padding: 15px;
}
.popup-content-left-info .category-title{
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 0;
    font-size: 18px;
    color: #fff;
    font-weight: 600;
    margin-bottom: 10px;
}
.bubble-window-content .categiry-info{
    flex: 0 0 320px;
    overflow: auto;
    padding: 0 16px 15px;
}
.bubble-window-content .category_sites{
    display: grid;
    flex: 1;
    flex-wrap: wrap;
    padding: 0;
    grid-auto-columns: calc(25% - 5px);
    grid-template-columns: repeat(4, calc(25% - 5px));
    grid-row-gap: 10px;
    grid-column-gap: 5px;
}

.bubble-window-content .category_sites_item{
    width: calc(100% - 5px);
    max-width: calc(100% - 5px);
    padding: 0;
}

.bubble-window-content .category_sites_item:nth-child(n+5){
    padding-bottom: 0;
}

@supports (backdrop-filter: blur(8px)) {
    .window {
        background-color: rgba(0, 0, 0, 0.7);
        backdrop-filter: blur(8px)
    }
}

.window header {
    padding: var(--window-gap);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.window .expand-button svg {
    transition: transform .4s
}

.window .expand-button.expanded svg {
    transform: rotate(90deg)
}

.bubble-window-links {
    justify-content: center;
    gap: calc(var(--window-gap) * 3);
    padding-bottom: var(--window-gap)
}

.bubble-window-price {
    justify-content: center;
    white-space: nowrap;
    padding-bottom: var(--window-gap)
}

.bubble-window-price input {
    width: 7em;
    text-align: center
}

.bubble-window-details {
    display: flex;
    padding-bottom: var(--window-gap)
}

.bubble-window-performance {
    display: flex;
    gap: 5px;
    padding: 5px
}

.bubble-window-performance div {
    border-radius: 12px;
    transition: background-color .4s;
    padding: 5px 0;
    gap: 3px;
    cursor: pointer
}

.bubble-window-performance div span:first-child {
    transition-property: background-color,color;
    transition-duration: .4s;
    padding: 4px 8px;
    border-radius: 6px
}

.bubble-window-performance div span:last-child {
    color: var(--color-light)
}

.bubble-window-performance div:hover,.bubble-window-performance div.selected {
    background-color: #ffffff14
}

.bubble-window-performance div.selected span:first-child {
    background-color: var(--color-dark, rgba(255, 255, 255, .25));
    color: #fff
}

@keyframes spinning {
    0% {
        transform: rotate(0)
    }

    50% {
        transform: rotate(250deg)
    }

    to {
        transform: rotate(360deg)
    }
}

.price-chart {
    position: relative;
    height: 240px
}

.price-chart span,.price-chart img {
    pointer-events: none;
    user-select: none;
    position: absolute
}

.price-chart span {
    display: none;
    bottom: 4px;
    left: 8px
}

.price-chart img {
    transition: opacity .4s;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    height: 64px;
    animation-name: spinning;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    border-radius: 50%
}

.price-chart canvas {
    position: absolute;
    left: 0;
    top: 0;
    touch-action: none
}

.price-chart.loaded span {
    display: block
}

.price-chart.loaded img {
    opacity: 0;
    animation-play-state: paused
}

.bubble-chart-header {
}

.bubble-chart-header>.icon-button {
    margin-left: 5px
}

.icon-button {
    border-radius: 50%;
    background-color: #ffffff1f;
    transition: background-color .4s;
    margin: 0;
    padding: 10px;
    display: inline-flex;
    justify-content: center
}

.icon-button:hover {
    background-color: #ffffff40
}

.icon-button:focus-visible {
    background-color: #ffffff40
}

.icon-button.active {
    background-color: #07d
}

.icon-button.hidden {
    opacity: 0;
    pointer-events: none
}

.icon-button-dummy {
    width: 24px;
    padding: 10px
}

.configuration-window .window-content {
    padding: var(--window-gap);
    padding-right: 0
}

@keyframes pulsing {
    0% {
        transform: scale(1)
    }

    to {
        transform: scale(.8)
    }
}

.status {
    border-radius: 12px;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background-color: #222;
    gap: 20px;
    padding: 20px;
    user-select: none;
    white-space: nowrap
}

.status img {
    box-shadow: 0 4px 16px #0006;
    animation-name: pulsing;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate
}

.status svg {
    height: 3em
}

.configuration-tabs {
    display: flex;
    padding-left: 10px;
    background-color: #1e2939;
    padding: 4px;
    border-radius: 5px;
}

.solid-button {
    border-radius: 12px;
    background-color: #ffffff1f;
    transition: background-color .4s;
    margin: 0;
    padding: 10px 15px;
    display: inline-flex;
    align-items: center;
    gap: 5px;
    white-space: nowrap
}

.solid-button:hover {
    background-color: #ffffff40
}

.solid-button:focus-visible {
    background-color: #ffffff40
}

.solid-button.active {
    background-color: #07d
}

.center-container {
    display: flex;
    justify-content: center;
    margin: 20px 0
}

.banner {
    transition: opacity .4s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background-color: #07d;
    padding: 5px 10px;
    white-space: nowrap
}

.banner:hover {
    opacity: .9
}

.window-host {
    position: fixed;
    left: 0;
    right: 0;
    top: 10vh;
    bottom: 8px;
    z-index: 150;
    margin: 0 auto;
    width: 95%;
    max-width: 1100px;
    transform: translateY(calc(-100% - 80px));
    pointer-events: none
}

.window-host.in,.window-host.out {
    transition: transform .4s
}

.window-host.in {
    transform: none
}

.currency-rank {
    display: inline-flex;
    align-items: center;
    gap: .2em
}

.currency-rank-change {
    font-size: .7em;
    line-height: 1em
}

.currency-rank-change svg {
    width: 1.4em;
    height: .7em
}

.settings-page {
    display: flex;
    flex-direction: column;
    padding: var(--window-gap);
    gap: 20px
}

.settings-watchlists {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px 0
}

.settings-watchlists-header {
    justify-content: space-between
}

.settings-watchlists-list,.settings-buttons {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.navigation {
    position: fixed;
    bottom: 10px;
    left: 10px;
    right: 10px;
    pointer-events: none
}

.navigation div {
    border-radius: 12px;
    position: absolute;
    bottom: 0;
    pointer-events: auto;
    background-color: #444;
    overflow: hidden
}

.navigation div button {
    background-color: transparent
}

.navigation-filter {
    left: 0
}

.navigation-pages {
    right: 0;
    display: flex
}

.navigation-pages button {
    border-radius: 0
}

.popup {
    box-shadow: 0 4px 16px #0006;
    border-radius: 12px;
    transition-property: transform,opacity;
    transition-duration: .2s;
    position: fixed;
    max-width: 90vw;
    max-height: 70%;
    z-index: 5;
    color: #fff;
    overflow: auto;
    box-sizing: border-box;
    background-color: #444444fc
}
.popup.search-results-list,
.search-results-list {
    position: absolute;
    top: 100%;
    z-index: 1001;
    max-height: 400px;
    overflow-y: auto;
    margin-top: 0;
    background-color: #444444fc;
    /* Position and width will be set dynamically via JavaScript */
}

@supports (backdrop-filter: blur(8px)) {
    .popup {
        background-color:#444444e6;
        backdrop-filter: blur(8px)
    }
}

.popup-content {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 15px
}

.popup-content p:first-child {
    margin-top: 0
}

.popup-content button {
    align-self: center
}
.popup-content-left{
    flex: 0 0 320px;
    max-width: 320px;
    padding: 0 15x 0 0 ;
    color: #fff;
    display: flex;
    flex-direction: column;
}
.popup-content-left .category-title{
    display: flex;
    gap: 10px;
    align-items: center;
    font-size: 18px;
    color: #fff;
    font-weight: 600;
    margin-bottom: 10px;
}
.popup-content-left .review-category{
    padding-right: 10px;
}
.popup-content-grey-bg{
    background-color: rgba(106, 106, 106, 0.3);
    padding: 10px;
    border-radius: 10px;
}
.category-title-fav-icon{
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: right;
}
.traffic-stats{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
}
.traffic-stats-item{
    position: relative;
    border-radius: 6px;
    padding: 5px;
    place-content: center;
    align-items: center;
    border-width: 1px;
    background-color: rgba(52, 195, 143, 0.2);
    border-color: rgba(0, 0, 0, 0);

    font-weight: 600;
    color: rgb(255, 255, 255);
    font-size: 13px;
    padding-bottom: 5px;

    text-align: center;
}
.traffic-stats-item .tooltip{
    position: absolute;
    text-align: center;
    bottom: 100%;
    left: 50%;
    z-index: 2;
    transform: translate(-50%, -10px);
    display: none;
    padding: 6px 10px;
    border: 3px solid #bababa;
    border-radius: 11px;
    white-space: nowrap;
    line-height: 1;
    background-color: #fdfdfd;
    color: #767676;
    animation: fadeEffect 0.2s;
}
.traffic-stats-item:hover .tooltip{
    display: block;
}

.traffic-stats-item .tooltip:after{
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -4px) rotate(-45deg);
    display: inline-block;
    width: 12px;
    height: 12px;
    border-width: 0 0 3px 3px;
    border-style: solid;
    border-color: transparent transparent #bababa #bababa;
    background-color: #fdfdfd;
}

.popup-content-ads{
    display: flex;
    align-items: center;
    gap: 10px;
}
.popup-content-ads-list{
    flex: 1;
    overflow: auto;
}
.popup-content-title{
    background-color: rgba(0, 0, 0, 0);
    box-sizing: border-box;
    color: #fff;
    font: 14px -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif;
    list-style: none;
    padding: 12px 0;
    position: relative;
    text-align: start;
    text-decoration: none;
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font-weight: 600;
}
.popup-content-title.f18{
    font-size: 18px;
}
.popup-content-title.border{
    border-bottom: 1px solid #fff;
}
.popup-tags-list{
    display: grid;
    grid-auto-rows: minmax(min-content, max-content);
    gap: 4px;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}
.popup-tags-list .category-tag-item{
    white-space: nowrap;
    background-color: #777;
}
.popup-tags-list .category-tag-item a{
    color: #fff;
}
.popup-tags-item{
    border-radius: 50%;
    background-color: #fff;
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.popup-content-left .category-description{
    overflow: auto;
}
.category-description-item{
    display: flex;
    gap: 10px;
    justify-content: space-between;
    align-items: center;
    margin: 6px 0;
    color: rgb(103, 101, 113);
    height: 20px;
}
.category-description-item .tag-inline{
    gap: 5px;
    align-items: center;
    text-decoration: underline;
    color: #fff;
}
.category-description-item .tag-inline:hover{
    color: #fff;
}
.category-description-item span{
    color: #fff;
    text-transform: capitalize;
}
.popup-content-right{
    display: flex;
    flex-direction: column;
    padding-left: 15px ;
    flex: 1;
    gap: 10px;
    overflow: auto;
}
.popup-content-right .popup-content-title{
    padding-bottom: 2px;
}
.review-category{
    --animation-rgb-value: 200, 200, 200;
    margin: 10px 0 0 0;
    padding: 4px 7px 4px 8px;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-weight: 500;
    text-transform: capitalize;
    font-size: 16px;
    position: relative;
    display: flex;
    border-radius: 4px;
    border: 2px solid #fff;

    &:before{
        margin-left: 0;
    }

    span{
        flex-grow: 1;
        text-align: center;
    }

    &:after{
        content: ' ';
        display: inline-block;
        width: 22px;
        height: 12px;
        background-image: url(../images/icon-right-arrow.svg);
        backgroung-repeat: no-repeat;
        background-size: contain;
    }

    &:hover{
        color: #fff;
        animation: pulse 1s infinite;

        &:after{
            animation: btnMainArrowRight 1s infinite;
        }
    }
}

.popup-marquee {
    overflow: hidden;
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    display: flex;
    color: #fff;
}

.popup-content-ads-title{
    color: #fff;
    font-size: 12px;
    font-weight: 600;
}
.popup-marquee .ad-list{
    display: flex;
    gap: 10px;
    font-size: 12px;
    white-space: nowrap;
    text-transform: uppercase;
}
.popup-marquee .ad-list .popup-ads-item{
    color: #fff;
}
.popup-marquee .ad-list .popup-ads-item:hover{
    color: #fff;
}
.popup-marquee .ad-list .popup-ads-item:focus{
    color: #fff;
}


.drawer-showcase-context {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    overflow: hidden;
    flex: 1;
}

.drawer-form-stats {
    display: flex;
    /* background-color: #fff; */
    color: #ddd;
    border-radius: 4px;
    padding: 10px 0 0;
    flex-direction: column;
    flex-grow: 1;
    justify-content: center;
    gap: 5px;
    overflow: hidden
}
.drawer-form-stats .drawer-notification{
    display: none;
}
.drawer-form-stats.success .drawer-form-headline,
.drawer-form-stats.success .drawer-form-wrap{
    display: none;
}
.drawer-form-stats.success .drawer-notification{
    display: flex;
}

@media (min-width: 992px) {
    .drawer-form-stats {
        gap: 15px
    }
}

.drawer-form-stats>.drawer-headline {
    align-items: center;
    text-align: center
}

@media (min-width: 992px) {
    .drawer-form-stats>.drawer-headline {
        align-items:flex-start;
        text-align: left
    }
}
.drawer-subtitle{
    font-size: 13px;
}

.drawer-form-stats>.drawer-headline .drawer-title {
    font-size: 24px;
    color: #fff;
}

.drawer-form-stats>.drawer-headline .drawer-title-text-emphasize {
    display: block;
    color: #ff9700
}

@media (min-width: 992px) {
    .drawer-form-stats>.drawer-headline .drawer-title-text-emphasize {
        display:inline-block;
        color: inherit
    }
}

.drawer-form-wrap {
    display: flex;
    flex-direction: column;
    gap: 16px
}

@media (min-width: 1140px) {
    .drawer-form-wrap {
        flex-direction:row
    }
}

.drawer-form {
    flex-grow: 1;
    overflow: hidden
}

.drawer-form-feedback .drawer-forma {
    flex-direction: column
}

.drawer-forma {
    display: flex;
    flex-direction: column;
    gap: 16px
}

@media (min-width: 992px) {
    .drawer-forma {
        flex-direction:row
    }
}

.drawer-form-group {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    gap: 8px;
    overflow: hidden
}

.drawer-form-field {
    position: relative;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    gap: 6px
}

.drawer-form-field .drawer-btn-logout {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 2;
    min-width: 80px;
    height: 100%
}

.drawer-form-input,.drawer-form-textarea {
    display: block;
    width: 100%;
    padding: 0 20px;
    border: 1px solid #b7b7b7;
    border-radius: 10px;
    font-size: 16px;
    background-color: #fff;
    color: #454545;
    transition: opacity .2s ease,border-color .2s ease,background-color .2s ease
}

.drawer-form-input:focus,.drawer-form-textarea:focus {
    border-color: #000
}

.drawer-form-input:valid:not(:placeholder-shown),.drawer-form-textarea:valid:not(:placeholder-shown) {
    border-color: #ff9701
}

.drawer-form-input:invalid:not(:placeholder-shown),.drawer-form-textarea:invalid:not(:placeholder-shown) {
    border-color: #fa3f3f
}

.drawer-form-input[disabled],.drawer-form-textarea[disabled] {
    border-color: #f2f2f2;
    background-color: #f2f2f2;
    cursor: not-allowed
}

.drawer-form-input {
    height: 50px
}

.drawer-form-input-no-edit {
    padding-right: 80px
}

.drawer-form-input-label {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 14px;
    font-weight: 500;
    color: #6c6c6c
}

.drawer-form-textarea {
    height: 152px;
    padding: 20px 16px
}

.drawer-form-error {
    position: relative;
    z-index: 1;
    font-size: 12px;
    font-weight: 600;
    color: #fa3f3f
}

.drawer-form-submit-line {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 10px
}

.drawer-form-submit-line .drawer-btn {
    flex-grow: 1
}

@media (min-width: 375px) {
    .drawer-form-submit-line .drawer-btn {
        flex-grow:0
    }
}

.drawer-form-submit-line .drawer-btn:first-child {
    min-width: 116px
}

.drawer-form-submit-line .drawer-btn:last-child {
    min-width: 138px
}

.select-button svg,.select-button .icon {
    color: #ccc
}

.drawer-stats{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}
.drawer-stats-list {
    display: flex;
    gap: 10px;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.drawer-stats-item {
    flex-grow: 1;
    font-weight: 700
}

.drawer-stats-item .icon-multi {
    width: 40px;
    height: 40px
}

.drawer-stats-title {
    color: #3e98cf;
}

.drawer-stats-subtitle {
    color: #6c6c6c
}

.drawer-showcase {
    display: flex;
    flex-direction: column;
    gap: 20px
}

@media (min-width: 720px) {
    .drawer-showcase {
        flex-direction:row-reverse;
        justify-content: flex-end
    }
}

.drawer-showcase>.drawer-showcase-img {
    width: 100%;
    height: auto;
    aspect-ratio: 352/302;
    background-size: contain
}

@media (min-width: 720px) {
    .drawer-showcase>.drawer-showcase-img {
        position:sticky;
        top: 0;
        width: 300px
    }
}

@media (min-width: 992px) {
    .drawer-showcase>.drawer-showcase-img {
        position:static;
        width: 352px
    }
}

.drawer-showcase .drawer-stats {
    text-align: center
}

@media (min-width: 992px) {
    .drawer-showcase .drawer-stats {
        text-align:left
    }
}

.drawer-showcase .drawer-stats-item {
    display: grid;
    grid-template-columns: 1fr;
    place-items: center
}

@media (min-width: 992px) {
    .drawer-showcase .drawer-stats-item {
        grid-template-columns:auto 1fr;
        place-items: flex-start;
        align-items: center
    }
}

.drawer-showcase .drawer-stats-item .icon-multi {
    margin-bottom: 6px
}

@media (min-width: 992px) {
    .drawer-showcase .drawer-stats-item .icon-multi {
        grid-column:1;
        grid-row: 1/span 2;
        margin: 0 6px 0 0
    }
}

.drawer-showcase .drawer-stats-title {
    font-size: 18px
}

@media (min-width: 992px) {
    .drawer-showcase .drawer-stats-title {
        grid-column:2;
        font-size: 21px
    }
}

.drawer-showcase .drawer-stats-subtitle {
    font-size: 14px
}

@media (min-width: 992px) {
    .drawer-showcase .drawer-stats-subtitle {
        grid-column:2;
        font-size: 16px
    }
}

.drawer-showcase-title {
    display: none
}

@media (min-width: 992px) {
    .drawer-showcase-title {
        display:flex
    }
}


.drawer-form-input:valid:not(:placeholder-shown),.drawer-form-textarea:valid:not(:placeholder-shown) {
    border-color: #ff9701
}

.drawer-form-input:invalid:not(:placeholder-shown),.drawer-form-textarea:invalid:not(:placeholder-shown) {
    border-color: #fa3f3f
}

.drawer-form-input[disabled],.drawer-form-textarea[disabled] {
    border-color: #f2f2f2;
    background-color: #f2f2f2;
    cursor: not-allowed
}

.drawer-form-input {
    height: 50px
}

.drawer-form-input-no-edit {
    padding-right: 80px
}

.drawer-form-input-label {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 14px;
    font-weight: 500;
    color: #6c6c6c
}

.drawer-form-textarea {
    height: 152px;
    padding: 20px 16px
}

.drawer-form-error {
    position: relative;
    z-index: 1;
    font-size: 12px;
    font-weight: 600;
    color: #fa3f3f
}

.drawer-form-submit-line {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    gap: 10px
}

.drawer-form-submit-line .drawer-btn {
    flex-grow: 1
}

@media (min-width: 375px) {
    .drawer-form-submit-line .drawer-btn {
        flex-grow:0
    }
}

.drawer-form-submit-line .drawer-btn:first-child {
    min-width: 116px
}

.drawer-form-submit-line .drawer-btn:last-child {
    min-width: 138px
}

.drawer-switch {
    position: relative;
    display: flex;
    align-items: center;
    text-transform: uppercase;
    font-size: 10px;
    font-weight: 600;
    color: #8c8c94;
    cursor: pointer
}

.drawer-switch-input {
    position: absolute;
    opacity: 0
}

.drawer-switch-input:checked+.drawer-switch-thumb .drawer-switch-slider {
    right: calc(100% - 38px);
    background-color: #ff9701
}

.drawer-switch-input:checked+.drawer-switch-thumb::before {
    opacity: 0
}

.drawer-switch-input:checked+.drawer-switch-thumb::after {
    opacity: 1
}

.drawer-switch-thumb {
    position: relative;
    flex-shrink: 0;
    width: 100px;
    height: 30px;
    overflow: hidden;
    border: 1px solid #d9d9d9;
    border-radius: 30px;
    background-color: #f2f2f2;
    transition: background-color .2s ease
}

.drawer-switch-thumb::after,.drawer-switch-thumb::before {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    overflow: hidden;
    text-align: center;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: opacity .2s ease
}

.drawer-switch-thumb::before {
    content: "weekly";
    left: 0;
    padding-left: 6px;
    padding-right: 42px
}

.drawer-switch-thumb::after {
    content: "monthly";
    right: 0;
    opacity: 0;
    padding-left: 42px;
    padding-right: 6px
}

.drawer-switch-slider {
    position: absolute;
    top: 50%;
    right: 4px;
    transform: translateY(-50%);
    width: 34px;
    height: 20px;
    background-color: #29a656;
    border-radius: 30px;
    transition: right .2s ease,background-color .2s ease
}

.drawer-btn{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    padding: 0 10px;
    border-radius: 10px;
    font-size: 16px;
    font-weight: 500;
    background-color: #29a656;
    color: #fff;
    transition: opacity .2s ease, background-color .2s ease;
    width: 110px;
    cursor: pointer;
}
.drawer-btn .loader-dotted{
    display: none;
}
.drawer-btn.loading .drawer-btn-text{
    display: none;
}
.drawer-btn.loading .loader-dotted{
    display: block;
}

.drawer-cats {
    display: flex;
    flex-direction: column;
    gap: 20px;
    height: 100%;
    overflow: hidden
}

@media (min-width: 992px) {
    .drawer-cats {
        flex-direction:row;
        gap: 50px
    }
}

@media (min-width: 992px) {
    .drawer-cats .drawer-cats-menu {
        width:50%
    }
}

@media (min-width: 992px) {
    .drawer-cats .drawer-cats-showcase {
        width:50%;
        height: 100%;
        overflow: auto
    }
}

.select-button-arrow {
    transition: transform .4s
}

.select-button.active .select-button-arrow {
    transform: rotate(180deg)
}

.select-option {
    margin-top: 5px;
    margin-right: 5px
}

.select-popup {
    position: absolute;
    top: 100%;
    z-index: 1001;
    display: flex;
    gap: 20px;
    color: #fff;
    background-color: #444444fc;
    /* Right position set dynamically via JavaScript, width is auto */
    min-width: fit-content;
    max-height: unset;
}

.select-popup-content {
    padding: 15px
}

.menu-item {
    outline: none;
    cursor: pointer;
    user-select: none;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 6px 20px 6px 0;
}

.menu-item.selected {
    color: #09f
}

.menu-item.selected svg,.menu-item.selected .icon {
    color: inherit
}

.menu-item.selected,.menu-item.focused {
    background-color: #ffffff14
}

.menu-item svg,.menu-item .icon {
    flex-shrink: 0;
    color: #ccc;
    fill: currentColor;
    pointer-events: none;
    height: 24px;
}

.menu-item:hover {
    background-color: #ffffff1f
}

.menu-item-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 15px 20px 5px
}

.menu-item-header.sticky {
    position: sticky;
    top: 0;
    background-color: #444444fc
}

@supports (backdrop-filter: blur(8px)) {
    .menu-item-header.sticky {
        background-color:#444444e6;
        backdrop-filter: blur(8px)
    }
}

.button-lists {
    position: relative
}

.button-lists .color-secondary {
    position: absolute;
    transform: scale(.8)
}

.button-lists .color-secondary:nth-child(2) {
    left: -10%;
    top: -10%
}

.button-lists .color-secondary:nth-child(3) {
    right: -10%;
    top: -10%
}

.button-lists .color-secondary:nth-child(4) {
    right: -10%;
    bottom: -10%
}

.input {
    border-radius: 6px;
    transition: box-shadow .4s;
    box-shadow: inset 0 0 1px 1px #ffffff4d;
    background-color: #0003;
    display: inline-flex;
    align-items: center;
    padding: 0 10px;
    cursor: text;
    box-sizing: border-box
}

.input:focus-within {
    box-shadow: inset 0 0 1px 1px #09f
}

.input:focus-within .input-icon {
    color: #09f
}

.input input {
    padding: 5px;
    flex-grow: 1
}

.input-icon {
    pointer-events: none;
    user-select: none;
    transition: color .4s;
    margin-right: 5px
}

.input-action {
    padding: 5px
}

.input-action svg {
    height: 20px
}

.icon-box {
    width: 120px;
    height: 40px;
    display: flex;
    flex-wrap: wrap
}

.icon-box>* {
    width: 20px;
    height: 20px
}

.dense-link-trade {
    padding: 2px 8px
}

.currency-logo {
    width: 24px;
    height: 24px;
    object-fit: contain;
    border-radius: 50%
}

.sites-list {
    display: block;
    padding: 10px;
}
.sites-list li{
    display: flex;
    padding: 10px 0;
    border-bottom: 1px solid #999;
}
.sites-list .category_sites_item_title{
    font-size: 14px;
}

@keyframes dot-flash {
    0% {
        background-color: #fff2;
        box-shadow: 16px 0 #fff2,-16px 0 #fff
    }

    50% {
        background-color: #fff;
        box-shadow: 16px 0 #fff2,-16px 0 #fff2
    }

    100% {
        background-color: #fff2;
        box-shadow: 16px 0 #fff,-16px 0 #fff2
    }
}

.loader-dotted {
    display: block;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 16px 0 #fff,-16px 0 #fff;
    animation: dot-flash .5s ease-out infinite alternate
}

@media (max-width: 1900px) {
    table {
        font-size:.8em
    }
}

@media (max-width: 1700px) {
    .header-padded {
        padding:0
    }

    .bubbles-header .select-navigator {
        display: none
    }

    th {
        padding: 5px
    }

    td {
        padding: 1px 5px
    }

    table {
        font-size: .7em
    }

    table .solid-button {
        padding: 6px 8px;
        gap: 2px
    }

    table .icon-button,table .icon-button-dummy {
        padding: 6px
    }

    table .gap-m {
        gap: 2px
    }
}

@media (max-width: 1400px) {
    .bubbles-header {
        padding:0 10px
    }

    .bubbles-header .basecurrency-select {
        display: none
    }

    td {
        padding: 1px
    }
}

@media (max-width: 1300px) {
    .currency-name {
        max-width:150px;
        overflow: hidden
    }
}

@media (max-width: 1000px) {
    .mobile-search-open h1 {
        display:none
    }

    .bubbles-header {
        height: 50px;
        padding: 0 5px;
        gap: 5px
    }

    h1 {
        font-size: 1.6em
    }
}

@media (max-width: 600px) {
    .tab {
        padding:10px
    }

    h1 {
        font-size: 1.4em
    }

    .window {
        --window-gap: 10px;
        font-size: .9em
    }

    .window .gap-m {
        gap: 5px
    }

    .window .gap-s {
        gap: 2px
    }

    .bubble-window-price input {
        width: 80px
    }
}

@media (max-width: 998px) {
    .configuration-tabs{
        font-size: 10px;
    }
    .bubbles-container button{
        padding: 2px 5px;
        line-height: inherit;
    }
    .select-button.filter-select{
        font-size: 10px;
        border-radius: 8px;
    }
    .select-button.filter-select .select-button-arrow{
        width: 16px;
    }
    .bubbles-container ul{
        font-size: 14px;
    }
    .menu-item{
        font-size: 12px;
    }
    .bubbles-container input{
        font-size: 16px;
    }
    .bubbles-container input::-webkit-input-placeholder {
        font-size: 12px;
        margin-top: -8px;
    }

    .bubbles-container input::-moz-placeholder {
        font-size: 12px;
        margin-top: -8px;
    }

    .bubbles-container input:-ms-input-placeholder {
        font-size: 12px;
        margin-top: -8px;
    }

    .bubbles-container input::placeholder {
        font-size: 12px;
        margin-top: -8px;
    }
    .bubbles-container .input{
        height: 30px;
    }
    .bubbles-container .input svg{
        height: 16px;
    }
    .window {
        --window-gap: 5px;
        font-size: .8em
    }
    .window-host{
        position: absolute;
        overflow: auto;
        top: 0;
        bottom: auto;
        width: 100%;
        padding-top: 100px;
        background: rgba(0, 0, 0, 0.8);
    }
    .bubble-window .icon-button{
        top: 18px;
        right: 14px;
    }
    .bubble-window svg{
        height: 16px;
        width: 16px;
    }
    .bubbles-header {
        display: flex;
        justify-content: space-between;
        height: 44px
    }

    .bubbles-header input {
        padding: 0;
        height: 20px;
    }
    .bubble-window-content{
        flex-direction: column;
        padding: 8px;
    }
    .bubble-window-content .category_sites{
        margin: 0;
        grid-auto-rows: 100px;
        grid-template-rows: auto auto;

        grid-auto-columns: calc(50% - 16px);
        grid-auto-flow: column;
        grid-template-columns: repeat(2, calc(50% - 16px));
        overflow: auto;
        scrollbar-width: none;
    }
    .popup-content-grey-bg{
        padding: 8px;
    }
    .traffic-stats{
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        gap: 5px;
    }
    .traffic-stats-item{
        padding: 5px 3px;
        font-size: 11px;
    }
    .traffic-stats-item:last-child .tooltip {
        left: auto;
        right: 0;
        transform: translate(0, -10px);
    }
    .traffic-stats-item:last-child .tooltip:after {
        left: auto;
        right: 6px;
        transform: translate(0, -4px) rotate(-45deg);
    }
    .popup-content-left{
        flex: 1;
        max-width: 100%;
    }
    .popup-content-left .category-description{
        font-size: 13px;
    }
    .popup-content-right{
        padding-left: 0;
    }

    h1 {
        font-size: 1.2em
    }
    .drawer-stats-item{
        text-align: center;
    }
    .drawer-form-stats{
        padding: 10px 0;
        gap: 5px;
    }
    .drawer-stats-icon{
        width: 60px;
    }
    .drawer-form-stats>.drawer-headline .drawer-title{
        font-size: 16px;
        padding-bottom: 10px;
    }
    .drawer-forma{
        flex-direction: row;
    }
    .drawer-form-input{
        height: 40px;
        border: none;
    }
    .drawer-btn{
        border: none;
        height: 40px;
        border-radius: 5px;
    }
    .drawer-form-input, .drawer-form-textarea{
        border-radius: 5px;
    }
    .drawer-btn{
        width: auto;
    }

    .category_sites_item_content:hover .category_sites_item_overlay, .category_sites_item_trending:hover .category_sites_item_overlay{
        display: flex;
    }
}


@media (max-width: 400px) and (orientation: portrait) {
    /* Mobile portrait styles for small screens */
    /* Add your portrait-specific styles here */
}

@media (max-width: 998px) and (orientation: landscape) {
    /* Mobile landscape styles for small screens */
    .bubbles-container{
        margin-top: 120px;
    }
    .window-host{
        padding-top: 0;
    }
    .popup-content-left{
        flex: 1;
    }
    .bubble-window-content .category_sites{
        grid-auto-columns: 25%;
        grid-template-columns: repeat(4, 25%);
    }
}

:root {
    --window-gap: 15px
}

.ios .bubbles-header {
    padding-top: max(20px,env(safe-area-inset-top,0))
}

.nav-filler {
    height: 64px
}

.colors-select-popup {
    white-space: nowrap
}

.flag {
    height: .9em;
    border-radius: 4px
}


.drawer-notification {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    gap: 20px;
}

@media (min-width: 992px) {
    .drawer-notification {
        justify-content:space-between;
        align-items: center;
        flex-direction: row
    }
}

.drawer-notification .drawer-headline {
    gap: 2px
}

.drawer-notification .drawer-title {
    font-size: 18px
}

.drawer-notification .drawer-subtitle {
    font-size: 14px
}

.drawer-notification .icon-multi {
    width: 68px;
    height: 68px
}

.icon-multi-check-bubble {
    background-image: url(../images/report/icon-thumbs-up.svg);
    background-repeat: no-repeat;
    background-position: center;
}

.drawer-notification-thumbnail {
    display: flex;
    align-items: center;
    gap: 10px
}

.drawer-notification-content {
    display: flex;
    flex-direction: column;
    gap: 6px
}